Loading...
Searching...
No Matches
TEA
libavutil » Crypto and Hashing

## Functions

struct AVTEA * | av_tea_alloc (void)
| Allocate an AVTEA context To free the struct: av_free(ptr).
void | av_tea_init (struct AVTEA *ctx, const uint8_t key[16], int rounds)
| Initialize an AVTEA context.
void | av_tea_crypt (struct AVTEA *ctx, uint8_t *dst, const uint8_t *src, int count, uint8_t *iv, int decrypt)
| Encrypt or decrypt a buffer using a previously initialized context.

## Variables

const int | av_tea_size

## Detailed Description

## Function Documentation

## av_tea_alloc()

struct AVTEA * av_tea_alloc | ( | void |  | ) |

Allocate an AVTEA context To free the struct: av_free(ptr).

## av_tea_init()

void av_tea_init | ( | struct AVTEA * | ctx,
|  | const uint8_t | key[16],
|  | int | rounds )

Initialize an AVTEA context.

Parameters

  ctx | an AVTEA context
  key | a key of 16 bytes used for encryption/decryption
  rounds | the number of rounds in TEA (64 is the "standard")

## av_tea_crypt()

void av_tea_crypt | ( | struct AVTEA * | ctx,
|  | uint8_t * | dst,
|  | const uint8_t * | src,
|  | int | count,
|  | uint8_t * | iv,
|  | int | decrypt )

Encrypt or decrypt a buffer using a previously initialized context.

Parameters

  ctx | an AVTEA context
  dst | destination array, can be equal to src
  src | source array, can be equal to dst
  count | number of 8 byte blocks
  iv | initialization vector for CBC mode, if NULL then ECB will be used
  decrypt | 0 for encryption, 1 for decryption

## Variable Documentation

## av_tea_size

const int av_tea_size

extern